import { ForwardRefExoticComponent, RefAttributes } from 'react';
import { AppIconProps } from './ApplicationIcon.types';
export type ApplicationName = 'acquire' | '4dinsight' | 'recap' | 'dasha' | 'orca' | 'portal' | 'jsembark' | 'logging-qualification' | 'pwex' | 'inpress' | 'bravos' | 'premo' | 'sam';
export interface ApplicationIconProps extends Partial<AppIconProps> {
    name: ApplicationName | string;
}
export declare const ApplicationIcon: ForwardRefExoticComponent<ApplicationIconProps & RefAttributes<HTMLDivElement>>;
