import{jsxs as t,jsx as i}from"react/jsx-runtime";import{useMemo as r}from"react";import{useDropzone as e}from"react-dropzone";import{Typography as o,Icon as a}from"@equinor/eds-core-react";import{folder as n}from"@equinor/eds-icons";import{animation as s}from"../../atoms/style/animation.js";import{colors as p}from"../../atoms/style/colors.js";import{spacings as l}from"../../atoms/style/spacings.js";import"../AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../ApplicationIcon/ApplicationIcon.js";import"../Badge/Badge.styles.js";import"../Banner/Banner.styles.js";import{Button as m}from"../Button/Button.js";import"../Chip/Chip.js";import"../ContentMenu/ContentMenu.styles.js";import"../DatePicker/DatePicker.js";import"../Dialog/Dialog.js";import"../EquinorLogo/EquinorLogo.js";import{BORDER_RADIUS as c}from"../FileProgress/CompactFileProgress.styles.js";import"../../atoms/utils/auth_environment.js";import"html2canvas";import"proj4";import"../RichTextEditor/RichTextEditor.types.js";import"../FileProgress/RegularFileProgress.styles.js";import"../FullPageSpinner/FullPageSpinner.js";import"../InfoElement/InfoElement.js";import{OptionalTooltip as d}from"../OptionalTooltip/OptionalTooltip.js";import"../ProfileAvatar/ProfileAvatar.js";import"@tiptap/react";import"../RichTextEditor/custom-extensions/AmplifyKit.js";import"../RichTextEditor/RichTextEditor.styles.js";import"../RichTextEditor/MenuBar/MenuBar.js";import"@tanstack/react-query";import"../Tabs/Tabs.js";import"../RichTextEditor/MenuBar/MenuBar.styles.js";import"../RichTextEditor/MenuBar/MenuButton.js";import"../Search/Search.js";import"react-router-dom";import"../Sieve/Sieve.styles.js";import"../../_virtual/lodash.js";import"../SingleFilterMenu/SingleFilterMenu.js";import"../Skeleton/SkeletonBase/SkeletonBase.js";import"../Skeleton/Skeleton.styles.js";import"../Stepper/Stepper.js";import"../OptionDrawer/OptionDrawer.js";import"../Select/Select.styles.js";import"../ListItem/ListItem.js";import"../SelectionControls/Checkbox/Checkbox.js";import"../SelectionControls/Radio/Radio.js";import"../SelectionControls/Switch/Switch.js";import"../Waves/Waves.styles.js";import"framer-motion";import{UploadIllustration as g}from"./UploadIllustration.js";import u from"styled-components";const h=u.div`
  display: flex;
  align-items: center;
  gap: ${l.small};
  justify-content: center;
  flex-direction: column;
  min-width: 300px;
  border: 2px dashed ${p.interactive.primary__resting.rgba};
  border-radius: 15px;
  margin-top: 10px;
  padding: ${l.medium_small} ${l.xx_large};
  /* v8 ignore next */
  background: ${p.ui.background__light.rgba};
  transition: background ${s.transitionMS};
  > section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: ${l.x_small};
    margin: calc(${l.medium_small} / 2) 0;
  }
`,j=u.div`
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 88px;
  height: 88px;
  border: 2px dashed ${p.interactive.primary__resting.rgba};
  border-radius: ${c};
  background: ${p.ui.background__light.rgba};
  transition: background ${s.transitionMS};
  > svg {
    width: 48px;
    height: 48px;
  }
  > p {
    color: ${p.interactive.primary__resting.rgba};
  }
  > p:last-child {
    color: ${p.text.static_icons__tertiary.rgba};
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    text-wrap: nowrap;
    position: absolute;
    bottom: calc((1.6em + ${l.small}) * -1);
  }
  &:hover {
    cursor: pointer;
    background: ${p.interactive.primary__hover_alt.rgba};
  }
`,x=u.div`
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  width: 100%;
  gap: ${l.x_small};
  align-items: center;
  > p {
    color: ${p.text.static_icons__tertiary.rgba};
  }
  > hr {
    width: 100%;
    height: 2px;
  }
`,f=({compact:s,...l})=>{const{getRootProps:c,getInputProps:u,isDragActive:f}=e({...l}),v=r((()=>{if(l.accept)return Object.values(l.accept).join(", ")}),[l.accept]);return s?t(j,{...c(),children:[i("input",{"data-testid":"file-upload-area-input",...u()}),i(g,{}),i(o,{variant:"meta",children:"Upload image"}),l.accept&&i(d,{title:`Supported filetypes: ${v}`,children:t(o,{variant:"meta",children:["(",v,")"]})})]}):t(h,{...c(),onClick:void 0,style:{background:f?p.interactive.primary__hover_alt.rgba:void 0},children:[i("input",{"data-testid":"file-upload-area-input",...u()}),i(g,{}),t("section",{children:[i(o,{variant:"button",group:"navigation",children:"Drag files here to upload."}),l.accept&&t(o,{group:"paragraph",variant:"meta",color:p.text.static_icons__tertiary.rgba,children:["Supported filetypes: ",v]})]}),t(x,{children:[i("hr",{}),i(o,{variant:"button",group:"navigation",children:"OR"}),i("hr",{})]}),t(m,{variant:"ghost",onClick:c().onClick,children:[i(a,{data:n}),"Browse files"]})]})};export{f as FileUploadArea};
