import { FC, ReactNode } from 'react';
import { Editor, Extensions } from '@tiptap/react';
import { ImageExtensionFnProps, RichTextEditorFeatures } from './RichTextEditor.types';
export interface EditorProviderProps extends ImageExtensionFnProps {
    children: (editor: Editor) => ReactNode;
    content: string | null | undefined;
    extensions?: Extensions;
    onUpdate?: (html: string) => void;
    placeholder?: string;
    features?: RichTextEditorFeatures[];
}
export declare const EditorProvider: FC<EditorProviderProps>;
