import { FC, InputHTMLAttributes, TextareaHTMLAttributes } from 'react';
import { TextFieldProps as BaseProps } from '@equinor/eds-core-react';
import { Variants } from '../../atoms/types/variants';
type TextFieldProps = Omit<BaseProps, 'variant'> & {
    variant?: Variants;
} & (TextareaHTMLAttributes<HTMLTextAreaElement> | InputHTMLAttributes<HTMLInputElement>);
export declare const TextField: FC<TextFieldProps>;
export {};
