import { ButtonProps } from '@equinor/eds-core-react';
interface MenuItemContainerProps {
    $active?: boolean;
}
export declare const MenuItemContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, MenuItemContainerProps>> & string;
interface CreateButtonProps extends ButtonProps {
    $open?: boolean;
}
export declare const CreateButton: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<{
    as?: import("react").ElementType | undefined;
} & {
    color?: "primary" | "danger" | "secondary";
    variant?: "contained" | "contained_icon" | "outlined" | "ghost" | "ghost_icon";
    href?: string;
    disabled?: boolean;
    type?: string;
    fullWidth?: boolean;
} & import("react").ButtonHTMLAttributes<HTMLButtonElement> & Omit<any, "variant" | "href" | "fullWidth" | keyof import("react").ButtonHTMLAttributes<HTMLButtonElement>>, CreateButtonProps>> & string & Omit<import("@equinor/eds-utils").OverridableComponent<ButtonProps, HTMLButtonElement> & {
    Group: typeof import("@equinor/eds-core-react").ButtonGroup;
    Toggle: typeof import("@equinor/eds-core-react").ToggleButton;
}, keyof import("react").Component<any, {}, any>>;
export {};
