import { FC } from 'react';
interface ServerErrorProps {
    statusCode?: number;
}
/**
 * Will determine what kind of error message to show, for non-error status code will return nothing
 * @param statusCode - optional, will return generic error by default
 * @returns error component corresponding to http status code
 */
declare const ApiResponseError: FC<ServerErrorProps>;
export { ApiResponseError };
