import{jsxs as r,jsx as e}from"react/jsx-runtime";import{forwardRef as a}from"react";import{Icon as i,Typography as t}from"@equinor/eds-core-react";import{shape as o}from"../../atoms/style/index.js";import l from"styled-components";import{spacings as s}from"../../atoms/style/spacings.js";import{colors as c}from"../../atoms/style/colors.js";const n=l.button`
  display: flex;
  align-items: center;
  padding: calc(${s.medium_small} / 2); // 6px in comfortable
  > span {
    color: ${c.text.static_icons__tertiary.rgba};
    padding: ${s.small} calc(${s.medium_small} / 2);
  }
  > svg {
    fill: ${c.text.static_icons__tertiary.rgba};
  }
  &:first-child {
    border-radius: ${o.button.borderRadius} 0 0 ${o.button.borderRadius};
  }

  &:last-child {
    border-radius: 0 ${o.button.borderRadius} ${o.button.borderRadius} 0;
  }
  &:hover {
    background: ${c.interactive.table__cell__fill_hover.rgba};
    > span {
      color: ${c.text.static_icons__secondary.rgba};
    }
    > svg {
      fill: ${c.text.static_icons__secondary.rgba};
    }
  }

  &[aria-checked='true'] {
    background: ${c.interactive.primary__selected_highlight.rgba};
    > span {
      color: ${c.interactive.primary__resting.rgba};
    }
    > svg {
      fill: ${c.interactive.primary__resting.rgba};
    }
    &:hover {
      background: ${c.interactive.primary__selected_hover.rgba};
      > span {
        color: ${c.interactive.primary__hover.rgba};
      }
      > svg {
        fill: ${c.interactive.primary__hover.rgba};
      }
    }
  }

  &:disabled {
    cursor: not-allowed;
    background: ${c.interactive.disabled__fill.rgba};
    > span {
      color: ${c.interactive.disabled__text.rgba};
    }
    > svg {
      fill: ${c.interactive.disabled__text.rgba};
    }
  }
`,d=a((({checked:a,onToggle:o,icon:l,disabled:s,...c},d)=>r(n,{ref:d,"aria-checked":a,onClick:()=>{o(!a)},disabled:s,...c,children:[l?e(i,{data:l,size:24}):null,"label"in c?e(t,{as:"span",variant:"button",group:"navigation",children:c.label}):null]})));d.displayName="ToggleGroupOption";export{d as ToggleGroupOption};
