import{Chip as r}from"@equinor/eds-core-react";import{tokens as i}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{animation as o}from"../../../atoms/style/animation.js";import"../../../atoms/style/colors.js";import{spacings as t}from"../../../atoms/style/spacings.js";import e from"styled-components";const{colors:a,shape:n}=i,s=e.button`
  border-radius: 50%;
  padding: 0;
  outline-offset: ${t.x_small};
  background: none;
  cursor: pointer;
`,l=e.div`
  padding: ${t.medium} ${t.small} 0 ${t.small};
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: ${t.small};
`,d=e.div`
  display: flex;
  flex-direction: column;
  align-items: center;
`,m=e.section`
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 350px;
  max-height: 200px;
  overflow-y: auto;
  overflow-x: hidden;
  gap: ${t.small};
  margin-top: ${t.small};
`,g=e(r)`
  background: ${a.ui.background__light.rgba};
  border: 1px solid ${a.ui.background__medium.rgba};
  color: ${a.text.static_icons__default.rgba};
`,c=e.div`
  display: grid;
  margin-top: ${t.x_large};
  justify-content: center;
`,p=e.button`
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-items: center;
  gap: ${t.medium_small};
  width: 100%;
  padding: ${t.small};
  border-radius: ${n.button.borderRadius};
  background: ${a.ui.background__light.rgba};
  transition: background ${o.transitionMS};

  > span {
    color: ${a.interactive.primary__resting.rgba};
  }

  > svg {
    fill: ${a.interactive.primary__resting.rgba};
  }

  &:hover {
    background: ${a.interactive.primary__hover_alt.rgba};
  }
`;export{c as ButtonWrapper,l as Container,p as OpenImpersonationMenuButton,s as ProfileButton,g as RoleChip,m as RolesContainer,d as TextContent};
