import{jsxs as e,Fragment as o,jsx as r}from"react/jsx-runtime";import{useRef as t,useState as i,useContext as l,useMemo as a}from"react";import{Icon as n,Typography as m,Radio as s}from"@equinor/eds-core-react";import{settings as d}from"@equinor/eds-icons";import{TopBarButton as p}from"./TopBar.styles.js";import{TopBarMenu as c}from"./TopBarMenu.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Environment.js";import{Theme as h}from"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import{elevation as u}from"../../atoms/style/index.js";import{ThemeProviderContext as f}from"../../providers/ThemeProvider/ThemeProvider.js";import g from"styled-components";import{spacings as x}from"../../atoms/style/spacings.js";const v=g.div`
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: ${x.x_small};
  padding: 0 ${x.large} 0 ${x.small};
  justify-content: space-between;
  > span {
    padding: ${x.small} ${x.x_small};
  }
`,$=g.div`
  width: 64px;
  height: 32px;
  background-color: ${e=>e.$color};
  box-shadow: ${u.raised};
  border-radius: 4px;
`,b=g.div`
  display: flex;
  flex-direction: column;
  gap: ${x.medium};
  > div > p {
    padding-top: ${x.small};
    padding-left: ${x.medium};
  }
`,j=({allSettings:u,children:g})=>{const x=t(null),[j,T]=i(!1),y=l(f),B=a((()=>y?[{title:"Theme",value:y.theme,onChange:e=>y.setTheme(e),items:[{label:"Light Mode",name:"theme-group",value:h.LIGHT,colorBox:"#ffffff"},{label:"Dark Mode",name:"theme-group",value:h.DARK,colorBox:"#243746"}]},...u??[]]:u??[]),[u,y]);if(0===B.length)throw new Error("Empty settings in TopBar.Settings!");return e(o,{children:[r(p,{variant:"ghost_icon",onClick:()=>T(!j),ref:x,children:r(n,{data:d,size:24})}),e(c,{open:j,title:"Settings",onClose:()=>T(!1),anchorEl:x.current,children:[r(b,{children:B.map(((o,t)=>e("div",{children:[r(m,{variant:"overline",children:o.title}),o.items.map(((t,i)=>e(v,{children:[r(s,{id:t.label,disabled:t.disabled,label:t.label,name:o.title,value:`${t.label}-${i}`,checked:o.value===t.value,onChange:()=>o.onChange?.(t.value)}),t.colorBox&&r($,{$color:t.colorBox,"data-testid":`colorbox-${t.colorBox}`}),t.text&&r(m,{variant:"h6",children:t.text}),t.element&&t.element]},i)))]},t)))}),g]})]})};j.displayName="TopBar.Settings";export{j as Settings};
