import{Link as e}from"react-router-dom";import{TopBar as r,Typography as i,CircularProgress as t,Button as o}from"@equinor/eds-core-react";import{EnvironmentType as n}from"../../atoms/enums/Environment.js";import{colors as a}from"../../atoms/style/colors.js";import{spacings as s}from"../../atoms/style/spacings.js";import l,{css as c}from"styled-components";const d=l(r)`
  border-bottom: 1px solid ${a.ui.background__medium.rgba};
  padding-left: ${s.medium};
  align-content: center;
  position: relative;
`,p=l(e)`
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: ${s.medium_small};
  padding: 0;
  outline-offset: ${s.x_small};
  text-decoration: none;
  &:hover {
    border-radius: 4px;
    outline: none;
  }
`,g=l(r.Header)`
  display: flex;
  align-items: center;
  gap: ${s.medium};
`,m=l(i)`
  text-transform: ${e=>e.$capitalize?"capitalize":"none"};
`,b=l(t)`
  circle {
    stroke: ${a.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${a.interactive.primary__hover_alt.rgba};
  }
`;const u=l.div`
  width: 214px;
  height: 36px;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  text-transform: capitalize;
  ${e=>function(e){let r="none",i="none";return e===n.LOCALHOST?(r=a.interactive.disabled__fill.rgba,i=a.interactive.disabled__text.rgba):e===n.DEVELOP?(r=a.ui.background__info.rgba,i=a.infographic.substitute__blue_overcast.rgba):e===n.STAGING&&(r=a.ui.background__warning.rgba,i=a.interactive.warning__text.rgba),`\n    background-color: ${r};\n    border: 1px solid ${i};\n  `}(e.$environmentType)}
`,_=l.div`
  background-color: ${a.interactive.danger__resting.rgba};
  width: 10px;
  height: 10px;
  border-radius: 50%;
  position: absolute;
  right: 2px;
  top: 4px;
  border: 2px solid ${a.text.static_icons__primary_white.rgba};
  // Box-sizing is a quickfix for use in PWEX because of global styling
  box-sizing: content-box;
`,x=l(o)`
  &:hover ${_} {
    border: 2px solid ${a.interactive.primary__hover_alt.rgba};
  }
  ${({$fieldSelector:e})=>{if(!e)return c`
        height: 36px;
        width: 36px;
      `}}
`;export{g as AppAndFieldContainer,p as AppIdentifier,m as AppName,d as Bar,b as CircularProgress,u as EnvironmentTag,x as TopBarButton,_ as UnreadRedDot};
