import { FC, ReactNode } from 'react';
import { Theme } from '../../atoms/enums/Theme';
interface ThemeProviderContextType {
    theme: Theme;
    setTheme: (theme: Theme) => void;
}
export declare const ThemeProviderContext: import("react").Context<ThemeProviderContextType | undefined>;
export declare function useThemeProvider(): ThemeProviderContextType;
interface ThemeProviderProps {
    children: ReactNode;
}
export declare const ThemeProvider: FC<ThemeProviderProps>;
export {};
