import{jsxs as t,jsx as r,Fragment as e}from"react/jsx-runtime";import{useState as i}from"react";import{Card as o,Icon as n,Typography as a,Button as s}from"@equinor/eds-core-react";import{info_circle as l}from"@equinor/eds-icons";import{useTutorials as m,useTutorialStepImage as h}from"@equinor/subsurface-app-management";import{useTutorialHighlighting as d}from"../TutorialHighlightingProvider.js";import{TUTORIAL_HIGHLIGHT_ANIMATION_PROPS as c}from"../TutorialHighlightingProvider.constants.js";import{useTutorialPopoverPosition as g}from"./hooks/useTutorialPopoverPosition.js";import{StepIndicator as p}from"./StepIndicator.js";import{elevation as f}from"../../../atoms/style/index.js";import{motion as u}from"framer-motion";import v,{css as b}from"styled-components";import{spacings as x}from"../../../atoms/style/spacings.js";import{colors as y}from"../../../atoms/style/colors.js";const $=v(u(o))`
  width: 360px;
  padding: ${x.medium};
  background: ${y.infographic.primary__moss_green_13.rgba};
  display: flex;
  flex-direction: column;
  gap: ${x.medium};
  transition:
    top 400ms,
    left 400ms;
  box-shadow: ${f.raised};
  pointer-events: auto;
  > header {
    display: flex;
    gap: ${x.small};
    align-items: center;
  }
  > img {
    max-height: 170px;
    object-fit: contain;
  }
  ${({$highlightingElement:t,$caretPosition:r})=>t&&b`
      transform: translateX(-50%);
      &:before {
        z-index: -1;
        content: '';
        width: 32px;
        height: 32px;
        background: ${y.infographic.primary__moss_green_13.rgba};
        position: absolute;
        ${function(t){switch(t){case"top":return b`
        left: 50%;
        top: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `;case"top-right":return b`
        right: 0;
        top: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `;case"right":return b`
        right: 0;
        top: 50%;
        transform: translate(0, -50%) rotate(45deg);
      `;case"bottom-right":return b`
        right: 0;
        bottom: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `;case"bottom":return b`
        left: 50%;
        bottom: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `;case"bottom-left":return b`
        left: 24px;
        bottom: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `;case"left":return b`
        left: 0;
        top: 50%;
        transform: translate(0, -50%) rotate(45deg);
      `;case"top-left":return b`
        left: 24px;
        top: 0;
        transform: translate(-50%, 0) rotate(45deg);
      `}}(r)}
      }
    `}
`,_=v.div`
  display: flex;
  justify-content: flex-end;
  gap: ${x.small};
  &:has(> :last-child:nth-child(3)) {
    > button:first-child {
      margin-right: auto;
    }
  }
`,k=({isHighlighting:o,id:f,top:u,left:v,width:b,height:x,name:k,steps:j})=>{const{customStepContent:w}=d(),{activeTutorial:P,activeStep:T,skipTutorial:C,startTutorial:S,goToNextStep:E,goToPreviousStep:H}=m(),{data:q}=h(P?.steps.at(T)?.imgUrl??void 0),[I,z]=i(void 0),{style:D,highlightingElement:N,caretPosition:A}=g({top:u,left:v,width:b,height:x,popoverSize:I}),B=t=>{z(t?{width:t.clientWidth,height:t.clientHeight}:void 0)},F=()=>{C(f)},U=()=>{S(f)};if(void 0!==T&&j[T].custom&&!w[j[T].id])throw new Error(`[TutorialHighlightingProvider]: Custom step content not found, tutorial ID: ${f}, step ID: ${j[T].id}`);return!N&&o?null:t($,P&&void 0!==T?{ref:B,style:{...D,width:j[T].custom?"auto":void 0},$caretPosition:A,$highlightingElement:N,...c,children:[j[T].custom?w[j[T].id]:t(e,{children:[t("header",{children:[r(n,{data:l,color:y.interactive.primary__resting.rgba}),r(a,{variant:"h6",children:j[T]?.title})]}),r(a,{variant:"body_short",children:j[T]?.body}),q?r("img",{src:q,alt:j[T].title}):null]}),t(_,{children:[r(s,{variant:"outlined",disabled:0===T,onClick:H,children:"Back"}),r(s,{variant:"ghost",onClick:F,children:"Cancel"}),r(s,{onClick:E,children:T===j.length-1?"Finish":"Next"})]}),r(p,{stepAmount:j.length})]}:{ref:B,style:{...D},$highlightingElement:N,$caretPosition:A,...c,children:[t("header",{children:[r(n,{data:l,color:y.interactive.primary__resting.rgba}),r(a,{variant:"h6",children:k})]}),t(_,{children:[r(s,{variant:"ghost",onClick:F,children:"Skip"}),r(s,{onClick:U,children:"Start tour"})]})]})};export{k as TutorialPopover};
