import { MotionStyle } from 'framer-motion';
export declare const CARET_OFFSET = 16;
interface UseTutorialPopoverPositionArgs {
    top?: number;
    left?: number;
    width?: number;
    height?: number;
    popoverSize?: {
        width: number;
        height: number;
    };
}
type VerticalPosition = 'top' | 'bottom';
type HorizontalPosition = 'left' | 'right';
export interface UseTutorialPopoverPositionReturn {
    style: MotionStyle;
    highlightingElement: boolean;
    caretPosition: VerticalPosition | HorizontalPosition | `${VerticalPosition}-${HorizontalPosition}`;
}
export declare function useTutorialPopoverPosition({ top, left, width, height, popoverSize, }: UseTutorialPopoverPositionArgs): UseTutorialPopoverPositionReturn;
export {};
