import{Typography as i,Tooltip as t,CircularProgress as r}from"@equinor/eds-core-react";import{animation as e}from"../../atoms/style/animation.js";import{colors as o}from"../../atoms/style/colors.js";import{spacings as s}from"../../atoms/style/spacings.js";import a,{css as n}from"styled-components";const l="7px",d=a.div`
  margin: 10px 0;
  width: 88px;
  height: 88px;
  box-sizing: border-box;
  position: relative;
  transition: ${e.transitionMS};
  border-radius: ${l};
  ${({$isError:i})=>i&&n`
      &:hover {
        background: ${o.ui.background__warning.rgba};
      }
    `}
`;a(i)`
  margin: ${s.small} ${s.small} 0 ${s.small};
  color: ${o.text.static_icons__tertiary.rgba};
`;const c=a.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: ${s.small};
  justify-content: center;
  align-items: center;
  border-radius: ${l};
  > svg:last-child {
    position: absolute;
  }
`,p=a.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 2px solid ${o.ui.background__medium.rgba};
  border-radius: ${l};
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;

  > img {
    object-fit: cover;
    width: 88px;
    height: 88px;
  }

  > svg {
    width: 40px;
    height: 40px;
  }
`,g=a.div`
  display: flex;
  flex-direction: column;
  gap: ${s.small};
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  font-size: 11px;
  justify-items: center;
  text-align: center;
  border-radius: ${l};
  > svg:last-child {
    position: absolute;
  }
  > div {
    color: ${o.interactive.warning__text.rgba};
  }
`,h=a.div`
  background-color: ${o.text.static_icons__tertiary.rgba};
  border-radius: 50%;
  border: 2px solid ${o.ui.background__light.rgba};
  position: absolute;
  width: 18px;
  height: 18px;
  right: -10px;
  cursor: pointer;
  top: -10px;
  > svg {
    width: 14px;
    height: 14px;
    fill: ${o.ui.background__light.rgba};
  }
`,m=a(i)`
  font-size: 10px;
  padding-top: ${s.x_small};
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  text-wrap: nowrap;
`,x=a(t)`
  white-space: pre;
`,b=a(r)`
  circle {
    stroke: ${o.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${o.interactive.primary__hover_alt.rgba};
  }
`;export{m as AdditionalText,l as BORDER_RADIUS,b as CircularProgress,h as CloseButton,d as CompactFileProgressContainer,p as DoneWrapper,x as FileTooltip,c as LoadingWrapper,g as Rejection};
