import{colors as t}from"../../atoms/style/colors.js";import{spacings as r}from"../../atoms/style/spacings.js";import{motion as e}from"framer-motion";import i from"styled-components";const a=i.button`
  position: relative;
  padding: ${r.medium};
  display: flex;
  align-items: center;
  justify-content: ${({$centered:t})=>t?"center":"flex-start"};
  gap: ${r.small};
  width: auto;
  flex-grow: 1;
  height: 48px;
  overflow-x: clip;
  cursor: pointer;

  > svg {
    fill: ${t.text.static_icons__tertiary.rgba};
  }

  > label {
    white-space: nowrap;
    pointer-events: none;
    display: block;
    height: 16px;
    color: ${t.text.static_icons__tertiary.rgba};
  }

  &[aria-selected='true'] {
    > svg {
      fill: ${t.interactive.primary__resting.rgba};
    }

    > label {
      color: ${t.interactive.primary__resting.rgba};
    }
  }

  &:hover:not(:disabled) {
    background: ${t.interactive.primary__hover_alt.rgba};

    &[aria-selected='true'] {
      > svg {
        fill: ${t.interactive.primary__hover.rgba};
      }

      > label {
        color: ${t.interactive.primary__hover.rgba};
      }

      > span:last-child {
        background: ${t.interactive.primary__hover.rgba};
      }
    }
  }

  &:disabled {
    cursor: not-allowed;

    > svg {
      fill: ${t.interactive.disabled__fill.rgba};
    }

    > label {
      color: ${t.interactive.disabled__text.rgba};
    }

    > span.static-line {
      background: ${t.ui.background__medium.rgba};
    }
  }
`,o=i.span`
  position: absolute;
  height: 2px;
  width: 100%;
  bottom: 0;
  left: 0;
  background: ${({$active:r})=>r?t.interactive.primary__resting.rgba:t.ui.background__heavy.rgba};
`,l=i(e.span)`
  position: absolute;
  height: 2px;
  width: 100%;
  bottom: 0;
  background: ${t.interactive.primary__resting.rgba};
`;export{l as ActiveLine,a as Button,o as Line};
