import { FilterProps } from './Filter.types';
import { SelectOptionRequired } from '../../molecules';
interface QuickFilterProps<T extends string> {
    values: FilterProps<T>['values'];
    items: Record<T, SelectOptionRequired[]>;
    onQuickFilter: (key: T, value: SelectOptionRequired) => void;
    label?: string;
}
export declare function QuickFilter<T extends string>({ values, items, onQuickFilter, label, }: QuickFilterProps<T>): import("react/jsx-runtime").JSX.Element;
export {};
