import{jsxs as e,jsx as o}from"react/jsx-runtime";import{forwardRef as t,useRef as r,useState as i}from"react";import{Typography as s}from"@equinor/eds-core-react";import{ReleaseNotesService as l}from"@equinor/subsurface-app-management";import{RELEASE_NOTE_RICH_TEXT_COLLAPSED_HEIGHT as m}from"./ReleaseNote.constants.js";import{timeToRead as a,usingReleaseNoteDate as n}from"./ReleaseNote.utils.js";import{ToggleExpanded as p}from"./ToggleExpanded.js";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"react-router-dom";import"@tanstack/react-query";import"../../atoms/utils/auth_environment.js";import{shape as c}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Environment.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import{formatRelativeDateTime as u}from"../../atoms/utils/date.js";import"html2canvas";import"proj4";import{getImagesFromRichText as d}from"../../atoms/utils/richtext.js";import"@equinor/eds-icons";import"../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../molecules/Badge/Badge.styles.js";import"../../molecules/Banner/Banner.styles.js";import"../../molecules/Button/Button.js";import"../../molecules/Chip/Chip.js";import"../../molecules/ContentMenu/ContentMenu.styles.js";import"../../molecules/DatePicker/DatePicker.js";import"../../molecules/Dialog/Dialog.js";import"../../molecules/EquinorLogo/EquinorLogo.js";import"../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../molecules/FileUploadArea/FileUploadArea.js";import"../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../molecules/InfoElement/InfoElement.js";import"../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../molecules/ProfileAvatar/ProfileAvatar.js";import{RichTextDisplay as j}from"../../molecules/RichTextDisplay/RichTextDisplay.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"@tiptap/react";import"../../molecules/RichTextEditor/RichTextEditor.styles.js";import{colors as h}from"../../atoms/style/colors.js";import"../../molecules/Tabs/Tabs.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../molecules/Search/Search.js";import"../../molecules/Sieve/Sieve.styles.js";import"../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../molecules/Skeleton/Skeleton.styles.js";import"../../molecules/Stepper/Stepper.js";import"../../molecules/OptionDrawer/OptionDrawer.js";import"../../molecules/Select/Select.styles.js";import{spacings as g}from"../../atoms/style/spacings.js";import"../../molecules/ListItem/ListItem.js";import"../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../molecules/SelectionControls/Radio/Radio.js";import"../../molecules/SelectionControls/Switch/Switch.js";import"../../molecules/Waves/Waves.styles.js";import{motion as v}from"framer-motion";import{MetaTags as f}from"./MetaTags.js";import x from"styled-components";const y=x.div`
  display: flex;
  flex-direction: column;
  padding: ${g.medium};
  position: relative;
  background: ${h.ui.background__default.rgba};
  border: 1px solid ${h.ui.background__heavy.rgba};
  border-radius: ${c.corners.borderRadius};
  min-width: 800px;
  width: 100%;
  overflow: hidden;
  > h4 {
    margin-top: ${g.large};
    margin-bottom: ${g.medium};
  }
  padding-bottom: calc(
    68px + ${g.medium}
  ); // Space for the expand button
`,S=x.header`
  display: flex;
  justify-content: space-between;
  align-items: center;
`,b=x.section`
  display: flex;
  gap: ${g.medium};
  align-items: center;
`,T=t((({applicationName:t,releaseDate:c,createdDate:g,tags:x,version:T,title:P,body:R,actionMenu:k,startExpanded:E=!1},B)=>{const C=n({releaseDate:c,createdDate:g}),M=r(E?"auto":m),[D,_]=i(E),[A,F]=i(d(R).length>0),w=r(new ResizeObserver((e=>{e.at(0)&&e[0].target.scrollHeight>m&&F(!0)})));return e(y,{ref:B,children:[e(S,{children:[e(b,{children:[o(s,{variant:"caption",color:h.text.static_icons__secondary.rgba,children:t}),e(s,{variant:"overline",color:h.text.static_icons__tertiary.rgba,children:[u(C),T?` ・ ${T}`:""," ・ ",a(R)]})]}),o(f,{tags:x,children:k})]}),o(s,{variant:"h4",children:P}),o(v.div,{ref:e=>{e&&w.current.observe(e)},initial:{height:M.current},animate:{height:D?"auto":m},children:o(j,{value:R,onImageRead:l.getReleaseNoteImage,padding:"none"})}),A&&o(p,{expanded:D,onToggleExpanded:()=>{_((e=>!e)),"auto"===M.current&&(M.current=m)}})]})}));T.displayName="ReleaseNote";export{T as ReleaseNote};
