import{Link as t}from"react-router-dom";import{tokens as e}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{animation as i}from"../../atoms/style/animation.js";import"../../atoms/style/colors.js";import{spacings as o}from"../../atoms/style/spacings.js";import{HEIGHT as r}from"./TableOfContents.constants.js";import{motion as a}from"framer-motion";import n,{css as s}from"styled-components";const{colors:l,shape:d}=e,c=n.button`
  &:hover {
    background: ${l.interactive.primary__hover_alt.rgba};
  }
  ${({$active:t})=>t?"":s`
      &:focus:not(:hover) {
        outline: 2px dashed ${l.interactive.focus.rgba};
        outline-offset: -4px;
      }
    `}
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: ${o.small};
  color: ${l.text.static_icons__default.rgba};
  cursor: pointer;
  padding: 0 ${o.medium};
  height: ${({$variant:t})=>r[t]};
  transition: background 200ms;
  > span {
    display: flex;
    flex-direction: column;
    position: relative;
    text-align: left;
    font-family: 'Equinor', sans-serif;
    font-weight: 700;
    font-size: 14px;
  }
  ${({$variant:t,$active:e})=>{switch(t){case"buttons":return s`
          border-radius: ${d.corners.borderRadius};
          background: ${e?l.interactive.primary__hover_alt.rgba:"none"};
        `;case"border":return s`
          > span {
            font-weight: ${e?700:500};
            &:after {
              height: 0;
              display: block;
              content: attr(title);
              font-weight: 700;
              font-size: 14px;
              overflow: hidden;
              visibility: hidden;
            }
          }
        `}}}
  ${({$active:t})=>!t&&s`
      &:disabled {
        color: ${l.interactive.disabled__text.rgba};
        cursor: not-allowed;
      }
    `}
`,u=n(t)`
  text-decoration: none;
  &:focus,
  &:hover,
  &:active {
    text-decoration: none;
    color: ${l.text.static_icons__default.rgba};
  }
  &:hover {
    background: ${l.interactive.primary__hover_alt.rgba};
  }
  &:focus-visible {
    color: ${l.text.static_icons__default.rgba};
    outline: 2px dashed ${l.interactive.focus.rgba};
    outline-offset: -4px;
  }

  ${({$disabled:t,$active:e})=>t&&!e&&s`
      color: ${l.interactive.disabled__text.rgba} !important;
      &:hover {
        cursor: not-allowed;
      }
    `};

  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: ${o.small};
  color: ${l.text.static_icons__default.rgba};
  cursor: pointer;
  padding: 0 ${o.medium};
  height: ${({$variant:t})=>r[t]};
  transition: background 200ms;

  > span {
    display: flex;
    flex-direction: column;
    position: relative;
    text-align: left;
    font-family: 'Equinor', sans-serif;
    font-weight: 700;
    font-size: 14px;
  }
  ${({$variant:t,$active:e})=>{switch(t){case"buttons":return s`
          border-radius: ${d.corners.borderRadius};
          background: ${e?l.interactive.primary__hover_alt.rgba:"none"};
        `;case"border":return s`
          > span {
            font-weight: ${e?700:500};
            &:after {
              height: 0;
              display: block;
              content: attr(title);
              font-weight: 700;
              font-size: 14px;
              overflow: hidden;
              visibility: hidden;
            }
          }
        `}}}
`,f=n.div`
  display: flex;
  position: relative;
  &:after {
    position: absolute;
    left: 0;
    bottom: ${({$activeIndex:t,$index:e})=>100*(t-e)+"%"};
    content: '';
    width: 100%;
    height: 2px;
    background: ${l.interactive.primary__resting.rgba};
    z-index: 100;
  }
`,p=n.div`
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
  &:after {
    position: absolute;
    left: 0;
    top: ${({$activeIndex:t,$index:e})=>100*(t-e)+"%"};
    content: '';
    width: 2px;
    height: 100%;
    background: ${l.interactive.primary__resting.rgba};
    z-index: 100;
    transition: top ${i.transitionMS};
  }
`,m=n(a.div)`
  display: flex;
  flex-direction: column;
  position: relative;
  ${({$variant:t})=>s`
    min-height: ${r[t]};
    ${"buttons"===t&&`gap: ${o.x_small};`}
  `}
`,$=n(a.div)`
  display: flex;
  flex-direction: ${({$variant:t})=>"borderHorizontal"===t?"row":"column"};
  height: fit-content;
  overflow: hidden;
  ${({$variant:t})=>{switch(t){case"buttons":return`gap: ${o.small};`;case"border":return s`
          &:after {
            position: absolute;
            left: 0;
            content: '';
            width: 2px;
            height: 100%;
            background: ${l.ui.background__medium.rgba};
          }
        `;case"borderHorizontal":return s`
          &:after {
            position: absolute;
            left: 0;
            bottom: 0;
            content: '';
            width: 100%;
            height: 2px;
            background: ${l.ui.background__medium.rgba};
          }
        `}}}
`,g=n(a.div)`
  display: flex;
  flex-direction: column;
  ${({$shouldShowChildren:t})=>t?null:s`
          visibility: hidden;
          height: 0 !important;
        `}
  > div > button, a {
    ${({$variant:t})=>{switch(t){case"buttons":return s`
            margin-left: ${o.medium};
          `;case"border":return s`
            padding-left: ${o.x_large};
          `}}}
  }

  ${({$variant:t})=>"buttons"===t&&`gap:${o.x_small};`}
`;export{p as BorderItemsContainer,f as BorderItemsHorizontalContainer,c as Button,g as ChildContainer,u as Link,$ as TableOfContentsContainer,m as TableOfContentsItemContainer};
