import { FC, ReactNode } from 'react';
import { ReleaseNote } from '@equinor/subsurface-app-management';
interface ReleaseNotesContextState {
    open: boolean;
    setOpen: (open: boolean) => void;
    mostRecentReleaseNote: ReleaseNote | undefined;
    showAllReleaseNotesLink: string;
}
export declare const useReleaseNotes: () => ReleaseNotesContextState;
interface ReleaseNotesContextProviderProps {
    children: ReactNode;
    enabled?: boolean;
    popUpNewReleaseNote?: boolean;
}
export declare const ReleaseNotesProvider: FC<ReleaseNotesContextProviderProps>;
export {};
